PUT v3/CovaOrder({orderId})

This call creates a Sales Order for a specified location with Tax Exclusive Pricing. It requires an Integrator Id which will identifiy the source of the order within Cova.

Information:

This endpoint will create orders with Tax Exclusive pricing at the specified location.This endpoint supports customer pricing.

Additional Information

This endpoint existed before the TIP/TEP endpoints. It does not support tax inclusive pricing, or line-level pricing. We recommend using the TIP/TEP endpoints instead of this endpoint, but we will continue to support this endpoint for existing integrators who have implemented against it.

Base URL:

https://api.covasoft.net/covaorderintake

Example of a call would be:

https://api.covasoft.net/covaorderintake/v3/CovaOrder(2a8f5d33-eec9-4864-8b49-5636577b40d5)

Note:

This PUT call will create an order. Use this call if Tax Pricing Configuration for the location/entityId is Exclusive or there is no configuration. As an integrator, you must generate an OrderId GUID value. The generated id must be supplied in the URL AND in the body of the PUT request as the id value

PUT /covaorderintake/v3/CovaOrder({your generated id})
Host: api.covasoft.net
Authorization: Bearer {your token}
Accept: application/json
Content-Type: application/json
{
  "Id":"{your generated id}",
  "CompanyId": 1,
  "EntityId": 2,
  .... etc
  "IntegratorId":"{integratorId}",
  "Items": [ ... ]
}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
orderId

globally unique identifier

Required

Body Parameters

Details needed for the Cova Sales Order

CovaSalesOrderV2V3Put
NameDescriptionTypeAdditional information
Id

The given globally unique indentifier for this order, must be supplied by the caller and match the identifier in the URL.

globally unique identifier

None.

CompanyId

The company identifier for this order

integer

None.

EntityId

The location identifier for this order

integer

None.

WasCreatedWithInventoryHold

Readonly field indicating whether this order was created with inventory hold enabled.

boolean

None.

FirstName

The first name of the customer associated with this order

string

None.

LastName

The last name of the customer associated with this order

string

None.

CustomerId

The customerId of the customer associated with this order

globally unique identifier

None.

DateCreatedUtc

Readonly field indicating the UTC time the order was created

date

None.

OrderSource

Readonly field containing the name and identifier of the integrator that created this order

CovaSalesOrderV2V3PutOrderSource

None.

OrderNumber

Unused field

string

None.

IntegratorId

The Id of the Integrator that created this order. This field is required.

globally unique identifier

None.

Items

The line items on this order. This field is required and must contain at least one item.

Collection of CovaSalesOrderV2V3PutCovaOrderItem

None.

Discount

Invoice-level discounts applied to this order

CovaSalesOrderV2V3PutCovaOrderDiscount

None.

IsDelivery

Boolean indicating whether this order is a delivery order.

boolean

None.

ReceiptNumber

Readonly field containing the receipt number generated for this order in Cova POS

string

None.

ExternalOrderId

Unused field

string

None.

Taxes

A list of taxes that will override all taxes calculated by Cova POS for this order. If this field is not supplied, Cova POS will calculate taxes for this order as it would for any normal order. All taxes supplied by this field will show as being applied to only the first line item.

Collection of CovaSalesOrderV2V3PutCovaOrderTax

None.

Notes

A field used to supply generic notes about this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.

string

None.

TimeSlotDisplayString

A field used to supply generic text describing a delivery information for this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": "8d41933d-37d7-4afe-86e3-2a0575bdb36f",
  "CompanyId": 0,
  "EntityId": 0,
  "WasCreatedWithInventoryHold": true,
  "FirstName": null,
  "LastName": null,
  "CustomerId": null,
  "DateCreatedUtc": "2026-07-06T20:10:20.5245148+00:00",
  "OrderSource": {
    "Id": "376fc344-f8cc-4a92-bc56-b295be8b1756",
    "Name": "sample string 2"
  },
  "OrderNumber": "sample string 4",
  "IntegratorId": "fd2fd096-0157-4a2a-a032-4a8506a0856b",
  "Items": [
    {
      "Name": "sample string 1",
      "CatalogItemId": "ba8ea24d-1e27-4f5c-bb3d-a2f223050b17",
      "Quantity": 3.0,
      "SellAtPricePerUnit": 4.0,
      "PackageId": "sample string 5",
      "Batch": "sample string 6"
    },
    {
      "Name": "sample string 1",
      "CatalogItemId": "ba8ea24d-1e27-4f5c-bb3d-a2f223050b17",
      "Quantity": 3.0,
      "SellAtPricePerUnit": 4.0,
      "PackageId": "sample string 5",
      "Batch": "sample string 6"
    }
  ],
  "Discount": null,
  "IsDelivery": false,
  "ReceiptNumber": "sample string 6",
  "ExternalOrderId": null,
  "Taxes": null,
  "Notes": null,
  "TimeSlotDisplayString": null
}

Response Information

Resource Description

Returns the created order with some additional fields populated.

CovaSalesOrderV2V3Put
NameDescriptionTypeAdditional information
Id

The given globally unique indentifier for this order, must be supplied by the caller and match the identifier in the URL.

globally unique identifier

None.

CompanyId

The company identifier for this order

integer

None.

EntityId

The location identifier for this order

integer

None.

WasCreatedWithInventoryHold

Readonly field indicating whether this order was created with inventory hold enabled.

boolean

None.

FirstName

The first name of the customer associated with this order

string

None.

LastName

The last name of the customer associated with this order

string

None.

CustomerId

The customerId of the customer associated with this order

globally unique identifier

None.

DateCreatedUtc

Readonly field indicating the UTC time the order was created

date

None.

OrderSource

Readonly field containing the name and identifier of the integrator that created this order

CovaSalesOrderV2V3PutOrderSource

None.

OrderNumber

Unused field

string

None.

IntegratorId

The Id of the Integrator that created this order. This field is required.

globally unique identifier

None.

Items

The line items on this order. This field is required and must contain at least one item.

Collection of CovaSalesOrderV2V3PutCovaOrderItem

None.

Discount

Invoice-level discounts applied to this order

CovaSalesOrderV2V3PutCovaOrderDiscount

None.

IsDelivery

Boolean indicating whether this order is a delivery order.

boolean

None.

ReceiptNumber

Readonly field containing the receipt number generated for this order in Cova POS

string

None.

ExternalOrderId

Unused field

string

None.

Taxes

A list of taxes that will override all taxes calculated by Cova POS for this order. If this field is not supplied, Cova POS will calculate taxes for this order as it would for any normal order. All taxes supplied by this field will show as being applied to only the first line item.

Collection of CovaSalesOrderV2V3PutCovaOrderTax

None.

Notes

A field used to supply generic notes about this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.

string

None.

TimeSlotDisplayString

A field used to supply generic text describing a delivery information for this order. This field is optional, but if supplied should be brief as it will be displayed in Cova POS.

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Id": "bf3e8656-0e8a-4eb7-a9b0-b6a303b56c1c",
  "CompanyId": 0,
  "EntityId": 0,
  "WasCreatedWithInventoryHold": true,
  "FirstName": null,
  "LastName": null,
  "CustomerId": null,
  "DateCreatedUtc": "2026-07-06T20:10:20.5401135+00:00",
  "OrderSource": {
    "Id": "b421604a-d2e3-4646-9189-683746aee3b5",
    "Name": "sample string 2"
  },
  "OrderNumber": "sample string 4",
  "IntegratorId": "2b766d51-6c1c-4dca-92f8-77d862527921",
  "Items": [
    {
      "Name": "sample string 1",
      "CatalogItemId": "f0673563-cddb-4cd8-8b6e-45d77724353e",
      "Quantity": 3.0,
      "SellAtPricePerUnit": 4.0,
      "PackageId": "sample string 5",
      "Batch": "sample string 6"
    },
    {
      "Name": "sample string 1",
      "CatalogItemId": "f0673563-cddb-4cd8-8b6e-45d77724353e",
      "Quantity": 3.0,
      "SellAtPricePerUnit": 4.0,
      "PackageId": "sample string 5",
      "Batch": "sample string 6"
    }
  ],
  "Discount": null,
  "IsDelivery": false,
  "ReceiptNumber": "sample string 6",
  "ExternalOrderId": null,
  "Taxes": null,
  "Notes": null,
  "TimeSlotDisplayString": null
}